jQuery(document).ready(function($){

	// Hide and show the Shortcode builder panel

	$('.' + nnr_al_shortcode.prefix + 'shortcode-builder').click(function(e){
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-box').show();
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').show();
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').addClass('fade in');
		e.preventDefault();
	});

	$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-close').click(function(e){
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-box').hide();
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').hide();
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').removeClass('fade in');
		e.preventDefault();
	});

	$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-add').click(function(e){
		e.preventDefault();

		var selected_text = tinyMCE.activeEditor.selection.getContent( {format : "text"} );

		if ( selected_text != '') {
			wp.media.editor.insert('<span data-optin-fire-custom-button="' + $('#' + nnr_al_shortcode.prefix + 'id').val() + '">' + selected_text + '</span>');
		} else {
			wp.media.editor.insert($('.' + nnr_al_shortcode.prefix + 'shortcode').html());
		}

		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-box').hide();
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').hide();
		$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').removeClass('fade in');
	});

	$('body').on('click', function(e){
		if ($('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').is(e.target)) {
			$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-box').hide();
			$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').hide();
			$('.' + nnr_al_shortcode.prefix + 'shortcode-builder-container').removeClass('fade in');
		}
	});

	// Creating the shortcode

	var shortcode = '[nnr_author_list]';

	$.each( $("." + nnr_al_shortcode.prefix + "shortcode-input"), function(key, value) {

		var regex = new RegExp('(' + $(this).data('shortcode') + '="(?:[^\\"]+|\\.)*")');

		var val = $(value).val();

		if ($(value).is(':checkbox')) {
			val = $(this).prop('checked');
		}

		if (shortcode.match(regex)) {
			shortcode = shortcode.replace(regex , $(value).data('shortcode') + '="' + val + '"');
		}

		$("." + nnr_al_shortcode.prefix + "shortcode").html(shortcode);

	});

	$("." + nnr_al_shortcode.prefix + "shortcode-input").keyup(function(){

		var regex = new RegExp('(' + $(this).data('shortcode') + '="(?:[^\\"]+|\\.)*")');

		var val = $(this).val();

		if (shortcode.match(regex)) {
			shortcode = shortcode.replace(regex, $(this).data('shortcode') + '="' + val + '"');
		} else {
			shortcode = shortcode.replace(']', ' ' + $(this).data('shortcode') + '="' + val + '"]');
		}

		$("." + nnr_al_shortcode.prefix + "shortcode").html(shortcode);

	}).change(function(){

		var regex = new RegExp('(' + $(this).data('shortcode') + '="(?:[^\\"]+|\\.)*")');

		var val = $(this).val();

		if ($(this).is(':checkbox')) {
			val = $(this).prop('checked');
		}

		if (shortcode.match(regex)) {
			shortcode = shortcode.replace(regex, $(this).data('shortcode') + '="' + val + '"');
		} else {
			shortcode = shortcode.replace(']', ' ' + $(this).data('shortcode') + '="' + val + '"]');
		}

		$("." + nnr_al_shortcode.prefix + "shortcode").html(shortcode);

	});

	// Selectize - User Roles

	var user_roles_options = [];
  	$.each(nnr_al_shortcode.user_roles, function( index, value ) {
	  	user_roles_options.push({id: value, name: value});
	});

	$('#' + nnr_al_shortcode.prefix + 'user-roles').selectize({
		plugins: ['remove_button'],
		delimiter: ',',
		persist: false,
		valueField: 'id',
		labelField: 'name',
		searchField: 'name',
		options: user_roles_options,
	});

	// Selectize - Author

  	var exclude_options = [];

  	$.each(nnr_al_shortcode.users, function( index, value ) {
	  	exclude_options.push( {id: value.ID, name: value.data.display_name} );
	});

	$('#' + nnr_al_shortcode.prefix + 'exclude-users').selectize({
	  	plugins: ['remove_button'],
	  	valueField: 'id',
		labelField: 'name',
		searchField: 'name',
	  	options: exclude_options,
	});

});