jQuery(document).ready(function($){

	// 1. when dropped in
	$('div.widgets-sortables').bind('sortstop',function(event,ui){
		nnr_al_setup_selectize();
	});

	// 2. do some stuff on load
	nnr_al_setup_selectize();

	// 3. on action
	$(document).delegate('.our_widget_class', 'change', function(ev) {
		// you have to find the parent widget here,
		// and do something for it. And this is not easy
		// because the widget shouldn't have it's ID yet, but still possible.
		// This is actually the safest part of the whole process (maybe just for me)
		nnr_al_setup_selectize();
	});

	// 4. on save
	$('body').ajaxSuccess(function(evt, request, settings) {
		nnr_al_setup_selectize();
	});

  	/**
  	 * Sets up all the selectize values
  	 *
  	 * @access public
  	 * @return void
  	 */
  	function nnr_al_setup_selectize() {

		// Selectize - User Roles

		var user_roles_options = [];
	  	$.each(nnr_al_widget_data.user_roles, function( index, value ) {
		  	user_roles_options.push({id: value, name: value});
		});

		$('.' + nnr_al_widget_data.prefix_dash + 'user-roles').each(function(index, value){

			if ( !$(value).hasClass('selectized') ) {

				$(value).selectize({
					plugins: ['remove_button'],
					delimiter: ',',
					persist: false,
					valueField: 'id',
					labelField: 'name',
					searchField: 'name',
					options: user_roles_options,
				});
			}
		});

		// Selectize - Author

	  	var exclude_options = [];

	  	$.each(nnr_al_widget_data.users, function( index, value ) {
		  	exclude_options.push( {id: value.ID, name: value.data.display_name} );
		});

		$('.' + nnr_al_widget_data.prefix_dash + 'exclude-users').each(function(index, value){

			if ( !$(value).hasClass('selectized') ) {
				$(value).selectize({
				  	plugins: ['remove_button'],
				  	valueField: 'id',
					labelField: 'name',
					searchField: 'name',
				  	options: exclude_options,
			  	});
			}
		});
  	}
});