<!-- Title -->

<p>
	<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', NNRobots_List_Author::$text_domain ); ?></label>
	<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>

<!-- Layout -->

<p>
	<label><?php _e('Layout:' ,NNRobots_List_Author::$text_domain); ?></label>
	<select id="<?php echo $this->get_field_id( 'layout' ); ?>" name="<?php echo $this->get_field_name( 'layout' ); ?>">
		<option value="list" <?php selected('list', $layout, true); ?>><?php _e( 'List', NNRobots_List_Author::$text_domain); ?></option>
		<option value="list-bio" <?php selected('list-bio', $layout, true); ?>><?php _e( 'List with Bio', NNRobots_List_Author::$text_domain); ?></option>
		<option value="grid" <?php selected('grid', $layout, true); ?>><?php _e( 'Grid', NNRobots_List_Author::$text_domain); ?></option>
		<option value="carousel" <?php selected('carousel', $layout, true); ?>><?php _e( 'Carousel', NNRobots_List_Author::$text_domain); ?></option>

	<!--
		<option value="thumbnail" <?php selected('thumbnail', $layout, true); ?>><?php _e( 'Thumbnail', NNRobots_List_Author::$text_domain); ?></option>
		<option value="stacked" <?php selected('stacked', $layout, true); ?>><?php _e( 'Stacked', NNRobots_List_Author::$text_domain); ?></option>
	-->

	</select>
</p>

<!-- Number of Authors to display -->

<p>
	<label><?php _e('Number of Authors to display:' ,NNRobots_List_Author::$text_domain); ?></label>
	<select id="<?php echo $this->get_field_id( 'num_authors' ); ?>" name="<?php echo $this->get_field_name( 'num_authors' ); ?>">
		<option value="all" <?php echo ((isset($num_authors) && $num_authors == 'all') ? 'selected="selected"' : ''); ?>><?php _e('All', NNRobots_List_Author::$text_domain); ?></option>
	<?php for ($i = 1; $i < 21; $i++) { ?>
		<option value="<?php echo $i; ?>" <?php echo ((isset($num_authors) && $num_authors == $i) ? 'selected="selected"' : ''); ?>><?php _e($i, NNRobots_List_Author::$text_domain); ?></option>
	<?php } ?>
	</select>
</p>

<!-- User Roles -->

<p>
	<label><?php _e('User Roles' ,NNRobots_List_Author::$text_domain); ?></label>
	<input id="<?php echo $this->get_field_id( 'user_roles' ); ?>" name="<?php echo $this->get_field_name( 'user_roles' ); ?>" type="text" class="widefat <?php echo NNRobots_List_Author::$prefix_dash; ?>user-roles" value="<?php echo (isset($user_roles) ? $user_roles : 'Administrator,Editor,Author'); ?>" />
	<em><?php _e('Which users should be shown in the Author List?', NNRobots_List_Author::$text_domain); ?></em>
</p>

<!-- Exclude Users -->

<p>
	<label><?php _e('Exclude Users', NNRobots_List_Author::$text_domain); ?></label>
	<input id="<?php echo $this->get_field_id( 'exclude_users' ); ?>" name="<?php echo $this->get_field_name( 'exclude_users' ); ?>" type="text" class="widefat <?php echo NNRobots_List_Author::$prefix_dash; ?>exclude-users" value="<?php echo (isset($exclude_users) ? $exclude_users : ''); ?>" />
	<em><?php _e('Do not show this users in the list.', NNRobots_List_Author::$text_domain); ?></em>
</p>

<!-- Sort by -->

<p>
	<label><?php _e('Sort by:' ,NNRobots_List_Author::$text_domain); ?></label>
	<select id="<?php echo $this->get_field_id( 'orderby' ); ?>" name="<?php echo $this->get_field_name( 'orderby' ); ?>">
		<option value="ID" <?php echo ((isset($orderby) && $orderby == 'ID') ? 'selected="selected"' : ''); ?>><?php _e('ID' ,NNRobots_List_Author::$text_domain); ?></option>
		<option value="display_name" <?php echo ((isset($orderby) && $orderby == 'display_name') ? 'selected="selected"' : ''); ?>><?php _e('Alphabetically' ,NNRobots_List_Author::$text_domain); ?></option>
		<option value="post_count" <?php echo ((isset($orderby) && $orderby == 'post_count') ? 'selected="selected"' : ''); ?>><?php _e('Post Count' ,NNRobots_List_Author::$text_domain); ?></option>
	</select>
</p>

<!-- Order by -->

<p>
	<label><?php _e('Order by:' ,NNRobots_List_Author::$text_domain); ?></label>
	<select id="<?php echo $this->get_field_id( 'order' ); ?>" name="<?php echo $this->get_field_name( 'order' ); ?>">
		<option value="ASC" <?php echo ((isset($order) && $order == 'ASC') ? 'selected="selected"' : ''); ?>><?php _e('ASC' ,NNRobots_List_Author::$text_domain); ?></option>
		<option value="DESC" <?php echo ((isset($order) && $order == 'DESC') ? 'selected="selected"' : ''); ?>><?php _e('DESC' ,NNRobots_List_Author::$text_domain); ?></option>
	</select>
</p>

<!-- Avatar Size -->

<p>
	<label><?php _e('Avatar Size:' ,NNRobots_List_Author::$text_domain); ?></label>
	<select id="<?php echo $this->get_field_id( 'avatar_size' ); ?>" name="<?php echo $this->get_field_name( 'avatar_size' ); ?>">
<!-- 		<option value="no" <?php selected('no', $avatar_size, true); ?>><?php _e( 'No Avatar', NNRobots_List_Author::$text_domain); ?></option> -->
		<option value="small" <?php selected('small', $avatar_size, true); ?>><?php _e( 'Small', NNRobots_List_Author::$text_domain); ?></option>
		<option value="medium" <?php selected('medium', $avatar_size, true); ?>><?php _e( 'Medium', NNRobots_List_Author::$text_domain); ?></option>
		<option value="large" <?php selected('large', $avatar_size, true); ?>><?php _e( 'Large', NNRobots_List_Author::$text_domain); ?></option>
		<option value="full" <?php selected('full', $avatar_size, true); ?>><?php _e( 'Full', NNRobots_List_Author::$text_domain); ?></option>
	</select>
</p>

<!-- Avatar Shape -->

<p>
	<label><?php _e('Avatar Shape:' ,NNRobots_List_Author::$text_domain); ?></label>
	<select id="<?php echo $this->get_field_id( 'avatar_shape' ); ?>" name="<?php echo $this->get_field_name( 'avatar_shape' ); ?>">
		<option value="rounded-square" <?php selected('rounded-square', $avatar_shape, true); ?>><?php _e( 'Rounded Square', NNRobots_List_Author::$text_domain); ?></option>
		<option value="square" <?php selected('square', $avatar_shape, true); ?>><?php _e( 'Square', NNRobots_List_Author::$text_domain); ?></option>
		<option value="circle" <?php selected('circle', $avatar_shape, true); ?>><?php _e( 'Circle', NNRobots_List_Author::$text_domain); ?></option>
	</select>
</p>